# DistributedNetworkObjectManager::DistributedNetworkObjectRegistryNode Struct Reference

Association between a DNO Object and a class Identifier. More...

`#include <DistributedNetworkObjectManager.h>`

List of all members.

## Public Attributes

DistributedNetworkObject * | object
char | classIdentifier [MAXIMUM_CLASS_IDENTIFIER_LENGTH]

## Detailed Description

Association between a DNO Object and a class Identifier.

Associate a class identifier to an object.

## Member Data Documentation

char DistributedNetworkObjectManager::DistributedNetworkObjectRegistryNode::classIdentifier[MAXIMUM_CLASS_IDENTIFIER_LENGTH]

| The class IDentifier

DistributedNetworkObject* DistributedNetworkObjectManager::DistributedNetworkObjectRegistryNode::object

| The DNO Object

The documentation for this struct was generated from the following file:

- Projects/raknet/include/raknet/DistributedNetworkObjectManager.h